using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.Web.Services.Interfaces
{
    public interface ICheckListService
    {
        Task<CheckListHeaderDTO> GetCheckListHeader(int id);
        Task<List<CheckListHeaderDTO>> GetAllCheckListHeaderAsync();
        Task<ApiResponseDTO<CheckListHeaderDTO>> UpdateCheckListHeader(CheckListHeaderDTO checkListHeaderDTO);

        Task<CheckListTemplateHeaderDTO> GetCheckListTemplateHeader(int id);
        Task<List<CheckListTemplateHeaderDTO>> GetAllCheckListTemplateHeaderAsync();
        Task<ApiResponseDTO<CheckListTemplateHeaderDTO>> UpdateCheckListTemplateHeader(CheckListTemplateHeaderDTO checkListTemplateHeaderDTO);

        Task<CheckListTemplateRowDTO> GetCheckListTemplateRow(int id);
        Task<ApiResponseDTO<CheckListTemplateRowDTO>> UpdateCheckListTemplateRow(CheckListTemplateRowDTO checkListTemplateRowDTO);

    }
}
